﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System.ComponentModel;

namespace BrainTechLLC
{
    public class DirectoryToExamine : BaseNotifyPropertyChanged, INotifyPropertyChanged
    {
        protected string _directory;

        public string Directory
        {
            get
            {
                return _directory;
            }
            set
            {
                if (_directory != value)
                {
                    _directory = value;
                    OnPropertyChanged("Directory");
                }
            }
        }

        public DirectoryToExamine() { }

        public DirectoryToExamine(string dir)
        {
            _directory = dir;
        }
    }
}
