﻿namespace BrainTechLLC.ThreadSafeObjects
{
    /// <summary>
    /// Basic Generic Cache interface
    /// </summary>
    public interface ICacheBase<T>
    {
        #region Methods

        T GetItem();

        T GetItem(object populateCacheParameter, params object[] args);

        bool IsCacheValid();

        bool IsCacheValid(object populateCacheParameter);

        #endregion Methods
    }
}