﻿using System.ComponentModel;

namespace BrainTechLLC.ThreadSafeObjects
{
#if NO_SILVERLIGHT
    [Browsable(true)]
    [TypeConverter(typeof(ExpandableObjectConverter))]
#endif
    public interface ILockable
    {
        void AquireLock();
        void ReleaseLock();
        bool Locked { get; }
        bool TryAquireLock();
    }
}
