﻿using System.ComponentModel;

namespace BrainTechLLC.ThreadSafeObjects
{
#if NO_SILVERLIGHT
    [Browsable(true)]
    [TypeConverter(typeof(ExpandableObjectConverter))]
#endif
    public interface ISupportsAddRemoveClear<TIndex, TListType> : ISupportsRemoveByIndex<TIndex, TListType>, ISupportsAddByIndex<TIndex, TListType>, ISupportsClear where TListType : class
    {
    }

#if NO_SILVERLIGHT
    [Browsable(true)]
    [TypeConverter(typeof(ExpandableObjectConverter))]
#endif
    public interface ISupportsAddRemoveClear<TListType> : ISupportsAdd<TListType>, ISupportsRemove<TListType>, ISupportsClear where TListType : class
    {
    }
}
