﻿using System.ComponentModel;

namespace BrainTechLLC.ThreadSafeObjects
{
#if NO_SILVERLIGHT
    [Browsable(true)]
    [TypeConverter(typeof(ExpandableObjectConverter))]
#endif
    public interface ISupportsEnqueueDequeue<TListType>
    {
        int Enqueue(TListType item);
        bool Dequeue(out TListType item);
    }
}
