﻿using System.ComponentModel;

namespace BrainTechLLC.ThreadSafeObjects
{
#if NO_SILVERLIGHT
    [Browsable(true)]
    [TypeConverter(typeof(ExpandableObjectConverter))]
#endif
    public interface ISupportsFind<TIndex, TListType> where TListType : class
    {
        TListType Find(TIndex key);
    }
}
