﻿using System.ComponentModel;

namespace BrainTechLLC.ThreadSafeObjects
{
#if NO_SILVERLIGHT
    [Browsable(true)]
    [TypeConverter(typeof(ExpandableObjectConverter))]
#endif
    public interface ISupportsRemoveByIndex<TIndex, TListType> where TListType : class
    {
        bool Remove(TIndex key, TListType item);
    }
}
