﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://www.codeplex.com/EmlenMud
#if USE_HYPER
using Hyper.ComponentModel;
#endif

namespace BrainTechLLC.ThreadSafeObjects
{
    public static class CacheExtensions
    {
        public static void SafeMarkDirty<T>(this Cached<T> cached)
        {
            if (cached != null)
                cached.MarkDirty();
        }
    }
}