﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;
using System.Linq;
using AForge.Imaging;
using AForge.Imaging.Filters;
using BrainTechLLC;
using BrainTechLLC.ImageOperators;

namespace BrainTechLLC.FilterExtensions
{
    [Serializable]
    public class FilterCollectionSaved
    {
        public FilterCollectionSaved(FilterCollection fc)
        {
            Filters = fc.ToList();
            CollectionName = fc.CollectionName;
            Active = fc.Active;
        }

        public List<ISingleFilter> Filters;
        public string CollectionName;
        public bool Active;
    }
}