﻿using System;
using DirectoryViewModels;

namespace BrainTechLLC.FolderExplorer
{
    public class FolderOperation : BaseNotifyPropertyChanged 
    {
        protected string _Name;

        public string Name
        {
            get
            {
                return _Name;
            }
            set
            {
                if (_Name != value)
                {
                    _Name = value;
                    OnPropertyChanged("Name");
                }
            }
        }

        public FolderOperation()
        {
        }

        public FolderOperation(string name)
        {
            _Name = name;
        }
    }
}
