﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using System.Windows.Threading;
using System.Collections.Specialized;
using DirectoryViewModels;
using System.Threading;
using BrainTechLLC.FileMaintenance;
using DragDropLibrary;


namespace BrainTechLLC.FolderExplorer
{
    public partial class FolderOperationHandler
    {
        public virtual void CreateNewDirectory(FolderViewModel folder, DirectoriesToExamineViewModel vm)
        {
            Console.WriteLine(folder.FullPath);
            Directory.CreateDirectory(folder.FullPath + @"\New Directory");
            FolderViewModel newFolder = new FolderViewModel(vm, folder);
            folder.SubFolders.Add(newFolder);
            folder.RaisePropertyChanged("SubFolders");
        }
    }
}
