﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace BrainTechLLC.ImageOperatorsNonAForgeDependent
{
    public class BasicBitmap : BasicByteArray 
    {
        protected Bitmap _Bitmap;
        protected int _BitmapWidth;
        protected int _BitmapHeight;

        public virtual Bitmap Bitmap
        {
            get { return _Bitmap; }
            set
            {
                if (_Bitmap != value)
                {
                    _Bitmap = value;
                    OnPropertyChanged("Bitmap");
                }
            }
        }

        public virtual int BitmapWidth
        {
            get { return _BitmapWidth; }
            set
            {
                if (_BitmapWidth != value)
                {
                    _BitmapWidth = value;
                    OnPropertyChanged("BitmapWidth");
                }
            }
        }

        public virtual int BitmapHeight
        {
            get { return _BitmapHeight; }
            set
            {
                if (_BitmapHeight != value)
                {
                    _BitmapHeight = value;
                    OnPropertyChanged("BitmapHeight");
                }
            }
        }

        public virtual void FreeBitmap()
        {
            Bitmap = null;
            BitmapWidth = 0;
            BitmapHeight = 0;
        }
    }
}
