﻿using System.Collections.Generic;
using System.ComponentModel;
using BrainTechLLC.ThreadSafeObjects;

namespace BrainTechLLC.EmlenMud.Interfaces
{
   [Browsable(true), TypeConverter(typeof(ExpandableObjectConverter))]
   public interface IObjectTemplateCollection : ISupportsAdd<long>, ISupportsRemove<long>
   {
      List<long> AllObjectTemplates { get; }
   }
}
