﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System.ComponentModel;
using BrainTechLLC;

namespace DirectoryViewModels
{
    public class DirectoryToExamineViewModel : BaseNotifyPropertyChanged, INotifyPropertyChanged
    {
        public DirectoryToExamine _dir;

        public DirectoryToExamineViewModel(DirectoryToExamine dir)
        {
            _dir = dir;
            _dir.PropertyChanged += new PropertyChangedEventHandler(_dir_PropertyChanged);
        }

        void _dir_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            OnPropertyChanged(e.PropertyName);
        }

        public string Directory
        {
            get { return _dir.Directory; }
        }        
    }
}
