﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System.ComponentModel;
using System.Drawing;
using System.Windows.Threading;
using System.Windows.Media;
using BrainTechLLC;
using BrainTechLLC.WPF;
using BrainTechLLC.ImageOperators;
using System.Windows;
using System;
using System.Threading;
using System.Windows.Media.Imaging;
using System.Diagnostics;
using System.IO;

namespace ImageAppDataModels
{    
    public interface ICoreDataProvider
    {
        byte[] ReadAllImageBytes(string fileName);
        byte[] ReadAllThumbnailBytes(string fileName);
        void WriteAllBytes(string fileName, byte[] bytes);
        void Copy(string orig, string newFileName);
        void Move(string orig, string newFileName);
        void Delete(string fileName);
        bool Exists(string fileName);
        void SetAttributes(string fileName, FileAttributes attribs);        
    }
}
