﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com/EmlenMud
using System;
using System.ComponentModel;
using BrainTechLLC;
using BrainTechLLC.FilterExtensions;
using System.Drawing;
using System.IO;
using System.Threading;
using System.Diagnostics;
using System.Drawing.Imaging;
using System.Runtime.Serialization;

namespace ImageAppDataModels
{
    [DataContract]
    public partial class FileImageDto
    {
        [DataMember]
        public int BitmapByteType { get; set; }

        [DataMember]
        public byte[] BitmapBytes {get;set;}

        [DataMember]
        public string FileName { get; set; }

        [DataMember]
        public DateTime Created { get; set; }

        [DataMember]
        public long FileSize { get; set; }
        
        public override string ToString()
        {
            return "FileImageDto: " + FileName;
        }
    }
}
