﻿// Author - Owen Emlen (owene_1998@yahoo.com)
using System;

namespace BrainTechLLC.ThreadSafeObjects
{
    [AttributeUsage(AttributeTargets.Class)]
    public class KeyOnProperty : System.Attribute
    {
        private string _val;

        public KeyOnProperty(string val)
        {
            _val = val;
        }

        public string PropertyToKeyOn
        {
            get { return _val; }
        }
    }
}