﻿using System.ComponentModel;
using System.Collections.Generic;

namespace BrainTechLLC.ThreadSafeObjects
{
#if NO_SILVERLIGHT
    [Browsable(true)]
    [TypeConverter(typeof(ExpandableObjectConverter))]
#endif
    public interface ISupportsFindMany<TIndex, TListType> : ISupportsFindSingle<TIndex, TListType> where TListType : class
    {
        List<TListType> Find(TIndex key);
    }
}
