﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://www.codeplex.com/EmlenMud
using System.Runtime.Serialization;
using System;
using System.Collections.Generic;
using System.ComponentModel;
#if USE_HYPER
using Hyper.ComponentModel;
#endif

namespace BrainTechLLC.ThreadSafeObjects
{
    [Serializable]
    [DataContract]
#if NO_SILVERLIGHT
    [TypeDescriptionProvider(typeof(HyperTypeDescriptionProvider))]
#endif
    public class ThreadSafeListAndLookupBase<TIndex, TListType> : ThreadSafeListAndLookup<TIndex, TListType> where TListType : class
    {
        protected override ThreadSafeListAndLookup<TIndex, TListType> MakeCopy() { throw new Exception("Not supported"); }
    }
}