﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System;
using System.Threading;
using BrainTechLLC;
using System.Windows.Input;
using System.Windows;
using System.Collections.Generic;
using DirectoryViewModels;

namespace BrainTechLLC.FolderExplorer
{
    public partial class RemoveDirCommand : RoutedCommand, ICommand
    {
        public void Execute(List<string> dirs, DirectoriesToExamineViewModel vm)
        {
            vm.RemoveDirs(dirs);
        }
    }

    public partial class AddDirCommand : RoutedCommand, ICommand
    {
        public void Execute(DirectoriesToExamineViewModel vm, string dir)
        {
            if (vm != null)
            {
                vm.AddDir(dir);
            }
        }
    }    
}
