﻿using System;
using DirectoryViewModels;

namespace BrainTechLLC.FolderExplorer
{
    public interface IFolderOperationHandler
    {
        void CreateNewDirectory(FolderViewModel folder, DirectoriesToExamineViewModel vm);
        void DeleteCheckedUnderFolder(FolderViewModel f);
        void DeleteCheckedUnderFolderBackground(FolderViewModel f);
        void FindFoldersToDelete(FolderViewModel f);
        void FindFoldersToDeleteAsync(FolderViewModel f);
        void SelectFolders(FolderAndSelectionCriteria item);
        void SelectFoldersByCriteria(FolderViewModel folderSelected, Predicate<FolderViewModel> selectionCriteria);
    }
}
