﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BrainTechLLC.WPF;

namespace BrainTechLLC.ImageOperatorsNonAForgeDependent
{
    public class BasicByteArray : BaseNotifyPropertyChangedUI
    {
        protected byte[] _Bytes;

        public virtual byte[] Bytes
        {
            get { return _Bytes; }
            set
            {
                if (_Bytes != value)
                {
                    _Bytes = value;
                    OnPropertyChanged("Bytes");
                }
            }
        }

        public void FreeBytes()
        {
            Bytes = null;
        }
    }
}
