﻿using System.Windows.Controls;
using System.Collections.Generic;

namespace BrainTechLLC.WPF
{
    public interface IRegisterMenuOption
    {
        List<MenuItemAndMetadata> GetSharedMenuItems(PluginDefinitionLoadedBase pluginDefinition);
        void ErrorReported(string errorMessage);
    }

    public class MenuItemAndMetadata
    {
        public string TopLevelMenu { get; set; }
#if SILVERLIGHT
#else
        public MenuItem MenuItem { get; set; }
#endif
     }
}  