﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using BrainTechLLC;
using System.Windows.Threading;
using System.Windows;
using BrainTechLLC.ThreadSafeObjects;
using System.Threading;
using System.Diagnostics;
using System.Reflection;
using System.Runtime.Serialization;

namespace BrainTechLLC.WPF
{
    public partial class BaseNotifyPropertyChangedUI : INotifyPropertyChanged
    {
        public override void AddPropertyChanged(BaseNotifyPropertyChanged classObject, string propertyName)
        {
            AddPropertyChanged(classObject, propertyName, false);
        }

        public void AddPropertyChanged(BaseNotifyPropertyChanged classObject, string propertyName, bool uiThread)
        {
            var collection = GetPropertyChanges();
            ClassAndPropertyChangeUI p = new ClassAndPropertyChangeUI(classObject, propertyName, uiThread);
            collection.AddPropertyChange(p);
        }
    }
}
