﻿using System;
using System.Windows;
using BrainTechLLC;
using System.Windows.Controls;

namespace DirectoryViewModels
{
    public interface IFolderExplorerWindowHandler
    {
        event EventHandler ClosedEvent;
        event EventHandler<ObjectEventArgs<object, ItemsControl, UIElement>> DropData;
        event EventHandler SelectFoldersStart;
        event EventHandler SelectFoldersEnd;    

        void RaiseDropData(object o1, ItemsControl o2, UIElement o3);

        DirectoriesToExamineViewModel DirectoriesToExamineViewModel { get; set; }        
        void OpenWindow(Window owner);
        void Close();

        bool AlwaysOnTop { get; set; }
    }
}
