﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System.Windows.Controls;

namespace DragDropLibrary
{
    /// <summary>
    /// DO NOT CHANGE METHOD DEFINITIONS WITHOUT UPDATING Drop.cs ctrl_Drop() code
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public interface IDropTarget<T>
    {
        void HandleDroppedData(DropEventArgs<T> e);
    }

    public interface IDragSource
    {
        void DropComplete(object dropReceiver, object data, ItemsControl dragSource);
    }
}
