﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.Drawing.Imaging;
using System.Threading;
using System.Windows.Media.Imaging;
using AForge.Imaging;
using AForge.Imaging.Filters;
using BrainTechLLC;
using BrainTechLLC.ThreadSafeObjects;
using BrainTechLLC.FilterExtensions;
using BrainTechLLC.ImageOperators;

namespace ImageAppDataModels
{
    public static class DetermineSimilarityIFileImage
    {        
        public static double Similarity(this IFileImage f1, IFileImage f2, bool makeCopies)
        {
            int maxHeight = Settings.Values.SimilarityScaleHeight;
            int maxWidth = Settings.Values.SimilarityScaleWidth;            
            return f1.Similarity(f2, maxWidth, maxHeight, makeCopies);
        }

                
    }
}
