﻿using System;
using System.ComponentModel;
using System.Drawing;
using BitmapTagger;
using System.Windows.Media;
using BrainTechLLC;
using BrainTechLLC.FilterExtensions;

namespace ImageAppDataModels
{
    [Flags]
    public enum ReleaseOptions
    {
        None = 0,
        Thumbnail = 1,
        Bitmap = 2,
        BitmapImage = 4,
        ImageSource = 8,
        FileBytes = 16,
        TransformedBitmap = 32,        
        AllButThumbnail = 0x0ffffffe,
        All = 0x0fffffff,
        AllButFileBytes = 0x0fffffff - 16,
    }

    public enum LoadOptions
    {
        None = 0,
        LoadSync = 1,
        LoadAsync = 2
    }

    public enum UpdateAction
    {
        None = 0,
        Load = 1,
        Unload = 2,
    }

}
