﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com/EmlenMud
using System;
using System.ComponentModel;
using BrainTechLLC.WPF;
using BrainTechLLC;
using BrainTechLLC.FilterExtensions;
using System.Drawing;
using System.IO;
using System.Threading;
using System.Diagnostics;

namespace ImageAppDataModels
{
    public partial class FileImage : BaseNotifyPropertyChangedUI, INotifyPropertyChanged, IObjectLock, IFileImage
    {        
        bool ICanBePreloaded<Bitmap>.IsAlreadyLoaded(ICanBePreloaded<Bitmap> preloadSource)
        {
            return !(_bitmap == null);
        }

        void ICanBePreloaded<Bitmap>.Preload(ICanBePreloaded<Bitmap> preloadSource)
        {
            if (_bitmap == null)
            {
                InitiateBitmapLoad();
            }
        }
    }
}
