﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BrainTechLLC;

namespace ImageAppDataModels.Models.FileImageModel
{
    public class HasImageBytesBase : BaseNotifyPropertyChanged, IHasImageBytes
    {
        protected byte[] _ImageBytes;

        #region IHasImageBytes Members

        public byte[] ImageBytes
        {
            get { return _ImageBytes; }
            set
            {
                if (_ImageBytes != value)
                {
                    _ImageBytes = value;
                    OnPropertyChanged("ImageBytes");
                }
            }
        }

        public byte[] ImageBytesCached
        {
            get { return _ImageBytes; }
            set { ImageBytes = value; }
        }

        #endregion        
    }
}
