﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System;
using System.ComponentModel;
using BitmapTagger;
using BrainTechLLC;
using System.Threading;
using System.IO;

namespace ImageAppDataModels
{
    [Serializable]
    public partial class Group : BaseNotifyPropertyChanged
    {
        protected string _GroupName;

        public string GroupName
        {
            get { return _GroupName; }
            set
            {
                if (_GroupName != value)
                {
                    _GroupName = value;
                    OnPropertyChanged("GroupName");
                }
            }
        }
    }
}
