﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com

namespace ImageAppDataModels
{
    public class Pair<T1, T2>
        where T1 : class
        where T2 : class
    {
        public T1 obj1 { get; set; }
        public T2 obj2 { get; set; }

        public Pair() { }
        public Pair(T1 item1, T2 item2) { obj1 = item1; obj2 = item2; }
        public Pair(Pair<T1, T2> pair) { obj1 = pair.obj1; obj2 = pair.obj2; }
    }
}

