﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Threading;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Threading;
using BitmapTagger;
using BrainTechLLC;
using BrainTechLLC.FilterExtensions;
using BrainTechLLC.ThreadSafeObjects;
using BrainTechLLC.WPF;
using ImageAppDataModels;
using System.Collections.Specialized;
using BrainTechLLC.ImageOperatorsNonAForgeDependent;
using System.Reflection;

namespace ImageAppViewModels
{
    public class FileImageGroupViewModel : GenericViewModelBase<FileImageGroupViewModel, FileImageGroup>, INotifyPropertyChanged
    {
        public FileImageGroupViewModel()
        {
        }

        public FileImageGroupViewModel(FileImageGroup g) : base(g) { }

        public string FileName
        {
            get { return Item.FileName; }
            set { Item.FileName = value; }
        }

        public string GroupName
        {
            get { return Item.GroupName; }
            set { Item.GroupName = value; }
        }

        public string FileNameOnly
        {
            get { return Path.GetFileName(FileName); }
        }

    }
}
