﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System.Collections.Generic;
using System.IO;

namespace ImageAppViewModels
{
    public class SimilarityComparisonFiles
    {
        public string FullFileName { get; set; }
        public string FileNameOnly
        {
            get { return string.IsNullOrEmpty(FullFileName) ? string.Empty : Path.GetFileName(FullFileName); }
        }
    }

    public class SimilarityGrouping
    {
        public string GroupName { get; set; }
        protected List<FileImageViewModel> _similar = new List<FileImageViewModel>();
        public List<FileImageViewModel> Similar
        {
            get { return _similar; }
            set { _similar = value; }
        }
    }

    public class SimilarityMeasure
    {
        public double Similarity { get; set; }
    }
}
