﻿// Original author contact info: Owen Emlen (owene_1998@yahoo.com)
// Note: other individuals may also have contributed to this code
// Project hosted on CodePlex.com as of 1/10/2009 at http://wpfimageviewer.codeplex.com
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Threading;
using System.Windows;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Threading;
using BitmapTagger;
using BrainTechLLC;
using BrainTechLLC.FilterExtensions;
using BrainTechLLC.ThreadSafeObjects;
using BrainTechLLC.WPF;
using ImageAppDataModels;
using System.Collections.Specialized;
using BrainTechLLC.ImageOperatorsNonAForgeDependent;

namespace ImageAppViewModels
{
    public class WidthHeightSuccessEventArgs : ObjectEventArgsNonRef<bool, int, int>
    {
        public int Width { get { return obj2; } set { obj2 = value; } }
        public int Height { get { return obj3; } set { obj3 = value; } }
        public bool Success { get { return obj1; } set { obj1 = value; } }

        public WidthHeightSuccessEventArgs(bool success, int width, int height)
        {
            Success = success;
            Width = width;
            Height = height;
        }
    }
}
