﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace BrainTechLLC.BaseLibrary
{
    public class BasicByteArrayPopulator 
    {
        public virtual byte[] Populate(BasicByteArray item, string fileName)
        {
            byte[] populated = null;
            item.Bytes = populated;
            return populated;
        }

        public virtual byte[] PopulateIfEmpty(BasicByteArray item, string fileName)
        {
            byte[] populated = item.Bytes;
            if (populated == null)
            {
                populated = Populate(item, fileName);
            }
            return populated;
        }
    }
}
